[Overview][Constants][Types][Classes][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TPromptDialogFunction

## Declaration

Source position: interfacebase.pp line 207

`type TPromptDialogFunction = function(`
`const DialogCaption: String;`
`const DialogMessage: String;`
`DialogType: LongInt;`
`Buttons: PLongint;`
`ButtonCount: LongInt;`
`DefaultIndex: LongInt;`
`EscapeResult: LongInt;`
`UseDefaultPos: Boolean;`
`X: LongInt;`
`Y: LongInt`
`):LongInt;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.